### Namespace

# EvinceDocument – 3.0

Evince is a document viewer for multiple document formats.

Version | 43.1
Authors | Evince Developers
License | GPL-2-or-later
Website | https://wiki.gnome.org/Apps/Evince
Source | https://gitlab.gnome.org/GNOME/evince/

#### Build

C headers | ``
pkg-config files | `evince-document-3.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Annotation |
AnnotationAttachment |
AnnotationText |
AnnotationTextMarkup |
Attachment |
Document |
FormField |
FormFieldButton |
FormFieldChoice |
FormFieldSignature |
FormFieldText |
Image |
Layer |
Link |
LinkAction |
LinkDest |
Media |
Page |
RenderContext |
TransitionEffect |

#### Interfaces

AnnotationMarkup |
AsyncRenderer |
DocumentAnnotations |
DocumentAttachments |
DocumentFind |
DocumentFonts |
DocumentForms |
DocumentImages |
DocumentLayers |
DocumentLinks |
DocumentMedia |
DocumentPrint |
DocumentSecurity |
DocumentText |
DocumentTransition |
FileExporter |
Selection |

#### Structs

DocumentBackendInfo |
DocumentInfo |
DocumentLicense |
FileExporterContext |
FindRectangle |
Mapping |
MappingList |
Point |
Rectangle |
SourceLink |
TypeInfo |

#### Aliases

BackendPage |
BackendPageDestroyFunc |

#### Enumerations

AnnotationsOverMarkup |
AnnotationTextIcon |
AnnotationTextMarkupType |
AnnotationType |
CompressionType |
DocumentContainsJS |
DocumentLayout |
DocumentMode |
FileExporterFormat |
FormFieldButtonType |
FormFieldChoiceType |
FormFieldTextType |
LinkActionType |
LinkDestType |
SelectionStyle |
TransitionEffectAlignment |
TransitionEffectDirection |
TransitionEffectType |

#### Bitfields

AnnotationsSaveMask |
DocumentInfoFields |
DocumentLoadFlags |
DocumentPermissions |
DocumentUIHints |
FileExporterCapabilities |
FindOptions |

#### Error Domains

DocumentError |

#### Functions

backends_manager_get_all_types_info |
backends_manager_get_document |
backends_manager_get_document_module_name |
backends_manager_get_document_type_info |
file_compress | Compresses the file at `uri`. If `type` is `EV_COMPRESSION_NONE`, it does nothing and returns `NULL`.
file_copy_metadata | Performs a `g_file_copy_attributes()` with `G_FILE_COPY_ALL_METADATA` from `from` to `to`. since: 3.4
file_get_mime_type |
file_get_mime_type_from_fd |
file_is_temp |
file_uncompress | Uncompresses the file at `uri`.
get_locale_dir |
init | Initializes the evince document library, and binds the evince gettext domain.
mkdtemp | Creates a temp directory in the evince temp directory.
mkstemp | Creates a temp file in the evince temp directory.
mkstemp_file | Creates a temp `GFile` in the evince temp directory. See `ev_mkstemp()` for more information.
rect_cmp |
should_use_portal | Checks whether evince should use the portal. since: 3.30
shutdown | Shuts the evince document library down.
tmp_file_unlink |
tmp_filename_unlink |
tmp_uri_unlink |
xfer_uri_simple | Performs a `g_file_copy()` from `from` to `to`.
xmp_parse |

#### Function Macros

ANNOTATION_MARKUP_IFACE |
ASYNC_RENDERER_IFACE |
BACKEND_IMPLEMENT_INTERFACE |
BACKEND_REGISTER |
BACKEND_REGISTER_WITH_CODE |
CHECK_VERSION | Macro to check the library version at compile time. It returns <literal>1</literal> if the version of EV is greater or equal to the required one, and <literal>0</literal> otherwise.
DEPRECATED_FOR |
DOCUMENT_ANNOTATIONS_IFACE |
DOCUMENT_ATTACHMENTS_IFACE |
DOCUMENT_FIND_IFACE |
DOCUMENT_FONTS_IFACE |
DOCUMENT_FORMS_IFACE |
DOCUMENT_IMAGES_IFACE |
DOCUMENT_LAYERS_IFACE |
DOCUMENT_LINKS_IFACE |
DOCUMENT_MEDIA_IFACE |
DOCUMENT_PRINT_IFACE |
DOCUMENT_SECURITY_IFACE |
DOCUMENT_TEXT_IFACE |
DOCUMENT_TRANSITION_IFACE |
FILE_EXPORTER_IFACE |
SELECTION_IFACE |
UNAVAILABLE |

#### Constants

MAJOR_VERSION | The major version number of the EV library (e.g. in version 3.1.4 this is 3).
MINOR_VERSION | The minor version number of the EV library (e.g. in version 3.1.4 this is 1).